package be.ac.vub.cocompose.lang;

/** Interface for elements that can be visited by a ModelVisitor.
 * @author Dennis Wagelaar 
 * @version 0.2.0
 * @see be.ac.vub.cocompose.lang.ModelVisitor
 * @since 0.2.0*/
public interface VisitedElement
{
  /**
   * Accepts a visitor.
   * @param modelVisitor The visitor to accept.*/
  void accept(ModelVisitor modelVisitor) throws ModelElementException;
}
