package be.ac.vub.cocompose.lang.constraints;

import java.util.List;

/**
 * Composite constraint interface.
 * @author Dennis Wagelaar 
 * @version 0.2.7
 * @since 0.2.0
 */
public interface CompositeConstraint extends Constraint
{
  /**
   * Gets the owned contraints.
   * @return the owned contraints.
   */
  public List getOwnedConstraints();
}
